Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SlaveServerConfig

    java.lang.Object
      org.pentaho.di.www.SlaveServerConfig

    public class SlaveServerConfig

extends Object

Field Summary
`static String` | `XML_TAG`
`static String` | `XML_TAG_MASTERS`

Constructor Summary
`SlaveServerConfig()`
`SlaveServerConfig(List<SlaveServer> masters, boolean reportingToMasters, SlaveServer slaveServer)`
`SlaveServerConfig(Node node)`
`SlaveServerConfig(SlaveServer slaveServer)`
`SlaveServerConfig(String hostname, int port, boolean joining)`

Method Summary
`List<SlaveServer>` | `getMasters()`
`SlaveServer` | `getSlaveServer()`
`String` | `getXML()`
`boolean` | `isJoining()`
`boolean` | `isReportingToMasters()`
`void` | `setJoining(boolean joining)`
`void` | `setMasters(List<SlaveServer> masters)`
`void` | `setReportingToMasters(boolean reportingToMaster)`
`void` | `setSlaveServer(SlaveServer slaveServer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### XML_TAG_MASTERS

    public static final String XML_TAG_MASTERS

See Also:
  Constant Field Values

Constructor Detail

### SlaveServerConfig

    public SlaveServerConfig()

### SlaveServerConfig

    public SlaveServerConfig(SlaveServer slaveServer)

### SlaveServerConfig

    public SlaveServerConfig(List<SlaveServer> masters,
                             boolean reportingToMasters,
                             SlaveServer slaveServer)

### SlaveServerConfig

    public SlaveServerConfig(Node node)

### SlaveServerConfig

    public SlaveServerConfig(String hostname,
                             int port,
                             boolean joining)

Method Detail

### getXML

    public String getXML()

### getMasters

    public List<SlaveServer> getMasters()

  Returns:
    the list of masters to report back to if the report to masters flag is enabled.

### setMasters

    public void setMasters(List<SlaveServer> masters)

  Parameters:
    `masters` - the list of masters to set. It is the list of masters to report back to if the report to masters flag is enabled.

### getSlaveServer

    public SlaveServer getSlaveServer()

  Returns:
    the slave server.
    The user name and password defined in here are used to contact this slave by the masters.

### setSlaveServer

    public void setSlaveServer(SlaveServer slaveServer)

  Parameters:
    `slaveServer` - the slave server details to set.
    The user name and password defined in here are used to contact this slave by the masters.

### isReportingToMasters

    public boolean isReportingToMasters()

  Returns:
    true if this slave reports to the masters

### setReportingToMasters

    public void setReportingToMasters(boolean reportingToMaster)

  Parameters:
    `reportingToMaster` - set to true if this slave should report to the masters

### isJoining

    public boolean isJoining()

  Returns:
    true if the webserver needs to join with the webserver threads (wait/block until finished)

### setJoining

    public void setJoining(boolean joining)

  Parameters:
    `joining` - Set to true if the webserver needs to join with the webserver threads (wait/block until finished)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD